MozillaZine

SM 2.46 and Flash problem [Linux]

User Help for Seamonkey and Mozilla Suite
tombenko
 
Posts: 17
Joined: January 6th, 2017, 7:21 am

Post Posted January 6th, 2017, 7:40 am

I run an ArchLinux system, using SeaMonkey for browsing. On the weekend I updated the system, including SeaMonkey, and since then the Flash-based sites don't works. All items appearing except for the flash content. Even the flashplayer don't runs. Here are the log: using NPAPI flashplayer and using pepperflash and freshplayer. All three computers reports the same error, but when I tried the pages with Firefox, they worked ok.

Example pages where I failed:
Farmerama
Honfoglaló
Shockwave
Last edited by tombenko on January 6th, 2017, 2:53 pm, edited 1 time in total.

therube

User avatar
 
Posts: 17108
Joined: March 10th, 2004, 9:59 pm
Location: Maryland USA

Post Posted January 6th, 2017, 9:05 am

And if you try Adobe's NPAPI version of Flash for Linux, what happens?

What does about:plugins show?
What does Addons Manager -> Plugins show?
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball CopyURL+ FetchTextURL FlashGot NoScript

barbaz
 
Posts: 1588
Joined: October 1st, 2014, 3:25 pm

Post Posted January 6th, 2017, 11:17 am

*Always* check the changelogs BEFORE updating that important software!

tombenko
 
Posts: 17
Joined: January 6th, 2017, 7:21 am

Post Posted January 6th, 2017, 2:39 pm

therube wrote:And if you try Adobe's NPAPI version of Flash for Linux, what happens?

What does about:plugins show?
What does Addons Manager -> Plugins show?


The second log is for NPAPI Flash.

About:plugins:
Shockwave Flash

Fájl: libfreshwrapper-flashplayer.so
Útvonal: /usr/lib/mozilla/plugins/libfreshwrapper-flashplayer.so
Verzió: 24.0.0.186
Állapot: Engedélyezve
Shockwave Flash 24.0 r0

MIME-típus Leírás Kiterjesztés
application/x-shockwave-flash Shockwave Flash swf
application/futuresplash FutureSplash Player spl

Assons Manager:
Image

James
Moderator

User avatar
 
Posts: 26780
Joined: June 18th, 2003, 3:07 pm
Location: Made in Canada

Post Posted January 6th, 2017, 2:45 pm

No need to use workarounds like the Freashplayer wrapper Plugin and Pepper Flash to have the current branch of Flash Player in SeaMonkey and Firefox on Linux.

Adobe now supports Linux again with current branch as of the current NPAPI Firefox Player 24.0.0.186 for Windows, Mac OSX and Linux released on December 13.

https://get.adobe.com/flashplayer/
http://www.adobe.com/software/flash/about/


Also this was coming as Adobe had beta builds for Linux since early Sept from http://labs.adobe.com/downloads/flashplayer.html as the current version there is 24.0.0.189 since Dec 14.

tombenko
 
Posts: 17
Joined: January 6th, 2017, 7:21 am

Post Posted January 6th, 2017, 2:47 pm

barbaz wrote:(This sounds similar - https://ubuntuforums.org/showthread.php?t=2346392)


Yes, similar, but not the same. The app don't run, not just the flash content invisible. And happens the same with a new user too.

tombenko
 
Posts: 17
Joined: January 6th, 2017, 7:21 am

Post Posted January 6th, 2017, 2:52 pm

James wrote:Adobe now supports Linux again with current branch as of the current NPAPI Firefox Player 24.0.0.186 for Windows, Mac OSX and Linux released on December 13.


I know, originally I used the NPAPI version, that is the first log I linked. The result is the same.

tombenko
 
Posts: 17
Joined: January 6th, 2017, 7:21 am

Post Posted January 9th, 2017, 12:53 pm

Now I returned to the NPAPI Flash Player, and did some tests. The result is these three lines seem to have some relevancy:

Code: Select all
(/usr/lib/seamonkey-2.46/plugin-container:2859): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplay'

(/usr/lib/seamonkey-2.46/plugin-container:2859): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(/usr/lib/seamonkey-2.46/plugin-container:2859): Gdk-CRITICAL **: IA__gdk_pixmap_foreign_new_for_display: assertion 'GDK_IS_DISPLAY (display)' failed
[2796] WARNING: pipe error (81): A kapcsolatot bontotta a távoli fél: file /build/seamonkey/src/seamonkey-2.46/mozilla/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 3
16

Return to SeaMonkey Support


Who is online

Users browsing this forum: No registered users and 1 guest